VERSION 5.00
Object = "{3B7C8863-D78F-101B-B9B5-04021C009402}#1.1#0"; "RICHTX32.OCX"
Begin VB.Form frmWininetSpyMon 
   Caption         =   "WININETSPYMon - Matt Pietrek, 1997 for MSJ"
   ClientHeight    =   5460
   ClientLeft      =   1575
   ClientTop       =   2055
   ClientWidth     =   8490
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   5460
   ScaleWidth      =   8490
   Begin VB.CommandButton cmdClearOutput 
      Caption         =   "Clear output"
      Height          =   375
      Left            =   4080
      TabIndex        =   3
      Top             =   4920
      Width           =   1215
   End
   Begin VB.CommandButton cmdFind 
      Caption         =   "Find"
      Default         =   -1  'True
      Height          =   375
      Left            =   2640
      TabIndex        =   2
      Top             =   4920
      Width           =   1215
   End
   Begin VB.TextBox edtFind 
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   4920
      Width           =   2295
   End
   Begin RichTextLib.RichTextBox edtOutput 
      Height          =   4695
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   8175
      _ExtentX        =   14420
      _ExtentY        =   8281
      _Version        =   327680
      Enabled         =   -1  'True
      HideSelection   =   0   'False
      ReadOnly        =   -1  'True
      ScrollBars      =   3
      TextRTF         =   $"frmWininetSpyMon.frx":0000
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
   End
   Begin VB.Timer Timer1 
      Interval        =   50
      Left            =   8040
      Top             =   5040
   End
End
Attribute VB_Name = "frmWininetSpyMon"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim hMailslot As Long

Private Sub cmdClearOutput_Click()
    edtOutput.Text = ""
End Sub

Private Sub cmdFind_Click()
    Static index As Long
    
    If (index > 0) Then index = index + 1
    
    index = edtOutput.Find(edtFind, index)
    
    If index = -1 Then
        MsgBox ("String not found - next find command will start at top")
        index = 0
    End If
    
End Sub


Private Sub Form_Load()
    hMailslot = CreateMailslot("\\.\mailslot\wininetspymon_mailslot", _
                                0, _
                                MAILSLOT_WAIT_FOREVER, _
                                0)
    
    If (hMailslot = INVALID_HANDLE_VALUE) Then
        MsgBox ("CreateMailslot failed")
        End
    End If
End Sub


Private Sub Form_Unload(Cancel As Integer)
    If (hMailslot <> INVALID_HANDLE_VALUE) Then CloseHandle (hMailslot)
End Sub


Private Sub Timer1_Timer()
    Dim retValue As Long
    Dim cbSize As Long
    Dim cMessages As Long
    Dim cbActualRead As Long
    Dim szText As String * 1024
    
    cMessages = -1
    Do
        ' Get the size of the message
        retValue = GetMailslotInfo(hMailslot, 0, cbSize, cMessages, 0)
               
        If (cbSize > 0) Then
        
            ' Read in the message
            retValue = ReadFile(hMailslot, szText, cbSize, cbActualRead, 0)
            
            ' Warning!  The line below assumes that the selection point
            ' is at the end of the text control
            edtOutput.SelRTF = Chr$(13) + Chr$(10) + Left$(szText, cbSize)
        End If
        
    Loop Until cMessages = 0

End Sub
