// Commands.h : header file
//

#if !defined(AFX_COMMANDS_H__4F913317_A457_11D0_8381_00A0C91EF7B9__INCLUDED_)
#define AFX_COMMANDS_H__4F913317_A457_11D0_8381_00A0C91EF7B9__INCLUDED_

#include "ReplaceTypes.h"

class CCommands : 
	public CComDualImpl<ICommands, &IID_ICommands, &LIBID_Replace>, 
	public CComObjectRoot,
	public CComCoClass<CCommands, &CLSID_Commands>
{
protected:
	IApplication* m_pApplication;

public:
	CCommands();
	~CCommands();
	void SetApplicationObject(IApplication* m_pApplication);

	BEGIN_COM_MAP(CCommands)
		COM_INTERFACE_ENTRY(IDispatch)
		COM_INTERFACE_ENTRY(ICommands)
	END_COM_MAP()
	DECLARE_NOT_AGGREGATABLE(CCommands)

public:
// ICommands methods
	STDMETHOD(ReplaceCommandMethod)(THIS);
};

typedef CComObject<CCommands> CCommandsObj;

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COMMANDS_H__4F913317_A457_11D0_8381_00A0C91EF7B9__INCLUDED)
